Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model
Class AttachmentsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.AttachmentsModel

All Implemented Interfaces:
  java.io.Serializable

public class AttachmentsModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for the attachments dialog page.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTACHMENT_NAME_SEPARATOR`

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`AttachmentsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`AttachmentInfo[]` | `getAttachmentInfoArray()` Gets the attachment info array.
`static java.lang.String` | `getAttachmentNames(AttachmentInfo[] info)` Gets the attachment names.
`static java.lang.String` | `getAttachmentNames(AttachmentInfo[] info, java.lang.String sDelim)` Gets the attachment names.
`java.lang.String[]` | `getErrorMessageArgs()` Gets the error message arguments.
`java.lang.String` | `getErrorMessageName()` Gets the error message name.
`java.util.Locale` | `getLocale()` Gets the locale.
`long` | `getMaximumAttachmentSize()` Gets the maximum attachment size (in kilobytes).
`java.lang.String` | `getMessageID()` Gets the message ID.
`void` | `setAttachmentInfoArray(AttachmentInfo[] info)` Sets the attachment info array.
`void` | `setErrorMessageArgs(java.lang.String[] args)` Sets the error message arguments.
`void` | `setErrorMessageName(java.lang.String sErrorMessageName)` Sets the error message name.
`void` | `setLocale(java.util.Locale locale)` Sets the locale.
`void` | `setMaximumAttachmentSize(long lMaxAttachmentSize)` Sets the maximum attachment size (in kilobytes).
`void` | `setMessageID(java.lang.String sMessageID)` Sets the message ID.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTACHMENT_NAME_SEPARATOR

    public static final java.lang.String ATTACHMENT_NAME_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### AttachmentsModel

    public AttachmentsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                            GroupwarePreferences groupwarePrefs,
                            java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getErrorMessageName

    public java.lang.String getErrorMessageName()

  Gets the error message name.

  Returns:
    the error message name or `null` for no error

### setErrorMessageName

    public void setErrorMessageName(java.lang.String sErrorMessageName)

  Sets the error message name.

  Parameters:
    `sErrorMessageName` - the error message name or `null` for no error

### getErrorMessageArgs

    public java.lang.String[] getErrorMessageArgs()

  Gets the error message arguments.

  Returns:
    the error message arguments or `null` for none
  See Also:
    `getErrorMessageName()`

### setErrorMessageArgs

    public void setErrorMessageArgs(java.lang.String[] args)

  Sets the error message arguments.

  Parameters:
    `args` - the error message arguments or `null` for none
  See Also:
    `getErrorMessageName()`

### setAttachmentInfoArray

    public void setAttachmentInfoArray(AttachmentInfo[] info)

  Sets the attachment info array.

  Parameters:
    `info` - the attachment info array (may not be `null`)

### getAttachmentInfoArray

    public AttachmentInfo[] getAttachmentInfoArray()

  Gets the attachment info array.

  Returns:
    the attachment info array

### getAttachmentNames

    public static java.lang.String getAttachmentNames(AttachmentInfo[] info)

  Gets the attachment names.

  Parameters:
    `info` - the attachment info
  Returns:
    the attachment names
  See Also:
    `ATTACHMENT_NAME_SEPARATOR`

### getAttachmentNames

    public static java.lang.String getAttachmentNames(AttachmentInfo[] info,
                                                      java.lang.String sDelim)

  Gets the attachment names.

  Parameters:
    `info` - the attachment info
    `sDelim` - the attachment name delimiter
  Returns:
    the attachment names

### getMessageID

    public java.lang.String getMessageID()

  Gets the message ID.

  Returns:
    the message ID

### setMessageID

    public void setMessageID(java.lang.String sMessageID)

  Sets the message ID.

  Parameters:
    `sMessageID` - the message ID

### getMaximumAttachmentSize

    public long getMaximumAttachmentSize()

  Gets the maximum attachment size (in kilobytes).

  Returns:
    the maximum attachment size (in kilobytes)

### setMaximumAttachmentSize

    public void setMaximumAttachmentSize(long lMaxAttachmentSize)

  Sets the maximum attachment size (in kilobytes).

### getLocale

    public java.util.Locale getLocale()

  Gets the locale.

  Returns:
    the locale

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets the locale.

  Parameters:
    `locale` - the locale

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.